=== added directory 'debian'
=== added file 'debian/changelog'
--- debian/changelog	1970-01-01 00:00:00 +0000
+++ debian/changelog	2015-02-02 15:25:53 +0000
@@ -0,0 +1,168 @@
+ubuntu-weather-app (2.0) utopic; urgency=low
+
+  [ Andrew Hayzen ]
+  * Initial version of reboot
+
+ -- Andrew Hayzen <ahayzen@gmail.com>  Mon, 02 Feb 2014 15:10:00 +0000
+
+
+ubuntu-weather-app (1.8.3ubuntu1) utopic; urgency=low
+
+  [ Dan Chapman ]
+  * Add timezone c++ extension plugin
+
+ -- Dan Chapman <dpniel@ubuntu.com>  Thu, 25 Sep 2014 10:46:29 +0100
+
+ubuntu-weather-app (1.8.3) raring; urgency=low
+
+  [ Martin Borho ]
+  * updated icons for rain and snow
+  * bug fixes and optimizations
+
+  [ Alan Pope ]
+  * Update click framework and apparmor profile version (LP: #1315318) 
+
+ -- Alan Pope <popey@ubuntu.com>  Fri, 02 May 2014 13:51:57 +0100
+
+ubuntu-weather-app (1.8.1ubuntu1) UNRELEASED; urgency=low
+
+  * added missing icon
+
+ -- Martin Borho <martin@borho.net>  Sun, 23 Mar 2014 13:06:17 +0000
+
+ubuntu-weather-app (1.8ubuntu1) UNRELEASED; urgency=low
+
+  [Leo Arias]
+  * Port to autopilot 1.4.
+  * Set the objectNames for the settings options.
+
+  [Nicholas Skaggs]
+  * Fixed test_del_add_bug test, simplify tests, re-enable disabled tests.
+  * Redo create blank db, ensure it's being used across all tests.
+  * Add cmake build.
+  * Set revno to match store.
+  * Updated tests to use more emulator standards.
+  * Tweaked activity indicator handling.
+
+  [Dennis O'Flaherty]
+  * Load weather for the selected city when clicking the OWM logo instead of loading for London.
+
+  [Raul Yeguas]
+  * Added an modified logo for OpenWeatherMap (have mercy on me, christina-li and michal) and an action to open its website on click.
+  * Added animations for daily and houly forecast scroll.
+  * Improved animation speed by reducing image size.
+  * Removes SideStage hint, fixes related to the sizes of the current weather data display on tablets.
+
+  [Victor Thompson]
+  * Added unit of measure for main temperature value.
+  * Fixed conversion of wind speed data for TWC data.
+  * Prevent predictive text in search bar.
+
+  [Arash Badie Modiri]
+  * Changed a translation string into something a little bit more general.
+
+  [Martin Borho]
+  * Optimized and added haptic effect to hourly scrolling .
+  * Added The Weather Channel as default weather data provider.
+  * Added keyboard shortcuts.
+  * Initial tablet design of the Weather app.
+  * Refactored all width:parent.width and height:parent.height through corresponding anchors
+  * Fixed edit dialog to fill window on N7 2013 landscape
+  * Fixed weather AP tests to not assume tablet mode
+  * Fixed content sticking to the top, when height was changed in phone mode
+  * Fixed StateNotFoundError failures in image 206
+  * Removed WorkerScriptfor API calls
+  * New icon names used in API clients
+  * Using the current condition icon for the current day
+
+  [David Planella]
+  * Fixed the rule to generate a .pot template after the migration to cmake.
+  * Minor improvements on the weather API: added parameterize(), added locale parameters to TWC calls
+  * Fixes empty TWC URL if locale is not supported.
+  * Adds documentation for the The Weather Channel API.
+  * Makes the provider footer to be full width in order for it to make it look good on a Nexus 7.
+  * Fixes the shorter length header on the N7 using anchors instead of widths.
+
+  [Alan Pope]
+  * New icon.
+
+ -- Martin Borho <martin@borho.net>  Fri, 21 Mar 2014 11:26:17 +0000
+
+ubuntu-weather-app (1.0ubuntu1) UNRELEASED; urgency=medium
+
+  * New icon 
+
+ -- Alan Pope <alan.pope@canonical.com>  Tue, 18 Feb 2014 21:26:17 +0000
+
+ubuntu-weather-app (1.0) saucy; urgency=low
+
+  [Andrew Starr-Bochicchio]
+  * Use the system locale to determine both the default units and the display of time.
+  * Add predictive search for locations. (LP: #1218910)
+  * Increase visibility of ActivityIndicator (LP: #1218904)
+
+  [David Planella]
+  * Updated translatable strings, a couple of small fixes to ease translations
+
+  [Dennis O'Flaherty]
+  * Fixes for precipitation values.
+
+  [Martin Borho]
+  * Removing a location add adding a new one fails. (LP: #1230297)
+  * Added location lookup via geoip and geonames.org with test (LP: #1187312, #1188726)
+  * Added fixes for new removable ListItem and the changed LocalStorage path. (LP: #1234544)
+  * Added setting for precipitation unit, mm or in.
+  * Location search now via geonames.org. (LP: #1230153)
+  * Updated predefined cities list.
+  * Added component for notifications.
+  * Added bottom margin to scrolling area in tabs and moved warm colors up the gradient color scheme.
+  * Visual improvements and fixes to LocationManagerSheet and AddLocationSheet. (LP: #1198541, #1221734)
+  * Added updated label, removed years from date labels. (LP: #1219200, #1221149, #1221162)
+  * Improved scrolling, added slow/fast scrolling for day/hour scrolling distinction. (LP:# 1221169)
+  * Added option in settings to change the wind speed unit. (LP: #1214934, #1190784)
+  * Dynamic gradient backgrounds according to the visual design.
+  * Added missing localstorage dependency.
+
+  [Nicholas Skaags]
+  * Add support for testing via click packages.
+
+  [Raúl Yeguas]
+  * Updated colors in GradientsMap.js. (LP: #1226746)
+  * Returns the last element to primary information screen and skip animation. (LP: #1227150)
+  * improved CurrentTemp text size
+  * UbuntuAnimations should be used (LP: #1218805)
+  * Replaced ValueSelector with new OptionSelector in Settings.
+  * Implemented a new scrolling.
+  * Added pressure data and modified the transition animation.
+  * Font color should be always white, with drop shadow.
+
+  [Sergio Schvezov]
+  * changing applicationName to com.ubuntu.weather to write in the unconfined areas
+  * cleaning up python code
+  * add the click data into the package and added apparmor rules (LP: #121839)
+
+ -- Martin Borho <martin@borho.net>  Tue, 8 Oct 2013 22:42:00 +0200
+
+ubuntu-weather-app (0.3) raring; urgency=low
+  
+  * LocationManager-Sheet added
+  * Settings-Sheet added
+  * Autopilot tests
+  * Data-provider calls now in WorkerScript
+  * ActivityIndicators while loading
+  * Suru theme added
+  * Displaying more weather data for every location
+
+ -- Martin Borho <martin@borho.net>  Tue, 13 Aug 2013 21:33:33 +0200
+
+ubuntu-weather-app (0.2) raring; urgency=low
+
+  * Added support for packaging and installing translations 
+
+ -- David Planella <david.planella@ubuntu.com>  Tue, 28 May 2013 14:21:33 +0200
+
+ubuntu-weather-app (0.1) raring; urgency=low
+
+  * Initial release
+
+ -- Michael Hall <mhall119@ubuntu.com>  Mon, 11 Feb 2013 16:04:00 -0500

=== added file 'debian/compat'
--- debian/compat	1970-01-01 00:00:00 +0000
+++ debian/compat	2015-02-02 15:25:53 +0000
@@ -0,0 +1,1 @@
+9

=== added file 'debian/control'
--- debian/control	1970-01-01 00:00:00 +0000
+++ debian/control	2015-02-02 15:25:53 +0000
@@ -0,0 +1,48 @@
+Source: ubuntu-weather-app
+Priority: extra
+Maintainer: Ubuntu App Cats <ubuntu-touch-coreapps@lists.launchpad.net>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               gettext,
+               intltool,
+               python3 | python-all | python3-dev | python3-all-dev,
+               python3-minimal,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qtdeclarative5-dev,
+               qtdeclarative5-dev-tools,
+               qtdeclarative5-ubuntu-ui-toolkit-plugin,
+Standards-Version: 3.9.5
+Section: misc
+Homepage: https://launchpad.net/ubuntu-weather-app
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-weather-dev/ubuntu-weather-app/trunk
+
+Package: ubuntu-weather-app
+Architecture: all
+Depends: qmlscene,
+         qtdeclarative5-localstorage-plugin,
+         qtdeclarative5-qtquick2-plugin,
+         qtdeclarative5-ubuntu-ui-toolkit-plugin | qt-components-ubuntu,
+         suru-icon-theme | ubuntu-mobile-icons,
+         qtdeclarative5-ubuntuweather-timezone-plugin1.0 (>= ${source:Version}),
+         ${misc:Depends}
+Description: Weather application
+ Core Weather application
+
+Package: qtdeclarative5-ubuntuweather-timezone-plugin1.0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Timezone plugin, used by the Ubuntu Weather app
+ This package contains the timezone plugin written for the Ubuntu
+ Weather app.
+
+Package: ubuntu-weather-app-autopilot
+Architecture: all
+Depends: libautopilot-qt (>= 1.4),
+         libqt5test5,
+         libqt5widgets5,
+         ubuntu-ui-toolkit-autopilot,
+         ubuntu-weather-app (>= ${source:Version}),
+         ${misc:Depends}
+Description: Test package for the weather app
+ Autopilot tests for the weather app package

=== added file 'debian/copyright'
--- debian/copyright	1970-01-01 00:00:00 +0000
+++ debian/copyright	2015-02-02 15:25:53 +0000
@@ -0,0 +1,54 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: ubuntu-weather-app
+Source: https://launchpad.net/ubuntu-weather-app
+
+Files: *
+Copyright: 2013 Canonical Ltd.
+           2013 Jakub <jakub@motyczko.pl>
+           2013 Martin Borho <martin@borho.net>
+           2013 Nekhelesh Ramananthan <krnekhelesh@gmail.com>
+           2013 Omer Akram <om26er@ubuntu.com>
+           2013 Raúl Yeguas <neokore@gmail.com>
+           2013 Riccardo Padovani <rpadovani@ubuntu-it.org>
+           2013 Zonov Roman <roman2861@yandex.ru>
+           2015 Andrew Hayzen <ahayzen@gmail.com>
+           2015 Victor Thompson <victor.thompson@gmail.com>
+License: GPL-3
+
+Files: debian/*
+Copyright: 2013 Canonical Ltd.
+License: LGPL-3
+
+License: GPL-3
+ This package is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation; either
+ version 3 of the License.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License can be found in "/usr/share/common-licenses/GPL-3".
+
+License: LGPL-3
+ This package is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Lesser General Public
+ License as published by the Free Software Foundation; either
+ version 3 of the License.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ Lesser General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>.
+ .
+ On Debian systems, the complete text of the GNU Lesser General
+ Public License can be found in "/usr/share/common-licenses/LGPL-3".

=== added file 'debian/qtdeclarative5-ubuntuweather-timezone-plugin1.0.install'
--- debian/qtdeclarative5-ubuntuweather-timezone-plugin1.0.install	1970-01-01 00:00:00 +0000
+++ debian/qtdeclarative5-ubuntuweather-timezone-plugin1.0.install	2015-02-02 15:25:53 +0000
@@ -0,0 +1,1 @@
+usr/lib/*/qt5/

=== added file 'debian/rules'
--- debian/rules	1970-01-01 00:00:00 +0000
+++ debian/rules	2015-02-02 15:25:53 +0000
@@ -0,0 +1,14 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCLICK_MODE=OFF
+
+override_dh_install:
+	dh_install --list-missing

=== added directory 'debian/source'
=== added file 'debian/source/format'
--- debian/source/format	1970-01-01 00:00:00 +0000
+++ debian/source/format	2015-02-02 15:25:53 +0000
@@ -0,0 +1,1 @@
+1.0

